Skip to main content
The request body must include a model_input dictionary (containing at least a system_prompt field or a user_prompt field), a model_output string to be evaluated, the model_used to generate the output (Ex. gpt-5-mini), the run_mode to select speed/accuracy/cost for evaluation, and a nametag for the workflow event.

The run mode determines which models power the evaluation:
- precision_plus - Maximum accuracy using the most advanced models
- precision - High accuracy with optimized performance
- smart - Balanced speed and accuracy (default)
- economy - Fastest evaluation at lowest cost

The event will be run with the guardrail metrics and improvement steps configured in its associated workflow.

When you create a workflow event, you’ll receive an event ID. Use this ID to track the event’s progress and retrieve all evaluations and improvement results.